wxWidgets: wxToggleButton Class Reference

| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Public Member Functions | List of all members
wxToggleButton Class Reference
Class List by Category » Controls

`#include <wx/tglbtn.h>`

Inheritance diagram for wxToggleButton:
[legend]

## Detailed Description

wxToggleButton is a button that stays pressed when clicked by the user.

In other words, it is similar to wxCheckBox in functionality but looks like a wxButton.

Since wxWidgets version 2.9.0 this control emits an update UI event.

You can see wxToggleButton in action in Controls Sample.

## Events emitted by this class

The following event handler macros redirect the events to member function handlers 'func' with prototypes like:

void handlerFuncName(wxCommandEvent& event)

Event macros for events emitted by this class:

- EVT_TOGGLEBUTTON(id, func):
  Handles a wxEVT_TOGGLEBUTTON event.

##

Library: wxCore
Category: Controls

Appearance:

wxMSW Appearance | wxGTK Appearance | wxOSX Appearance

See also
  wxCheckBox, wxButton, wxBitmapToggleButton

## Public Member Functions
| wxToggleButton ()
| Default constructor. More...
| wxToggleButton (wxWindow *parent, wxWindowID id, const wxString &label, const wxPoint &pos=wxDefaultPosition, const wxSize &size=wxDefaultSize, long style=0, const wxValidator &val=wxDefaultValidator, const wxString &name=wxCheckBoxNameStr)
| Constructor, creating and showing a toggle button. More...
virtual | ~wxToggleButton ()
| Destructor, destroying the toggle button. More...
bool | Create (wxWindow *parent, wxWindowID id, const wxString &label, const wxPoint &pos=wxDefaultPosition, const wxSize &size=wxDefaultSize, long style=0, const wxValidator &val=wxDefaultValidator, const wxString &name=wxCheckBoxNameStr)
| Creates the toggle button for two-step construction. More...
virtual bool | GetValue () const
| Gets the state of the toggle button. More...
virtual void | SetValue (bool state)
| Sets the toggle button to the given state. More...
Public Member Functions inherited from wxAnyButton
| wxAnyButton ()
| ~wxAnyButton ()
wxBitmap | GetBitmap () const
| Return the bitmap shown by the button. More...
wxBitmap | GetBitmapCurrent () const
| Returns the bitmap used when the mouse is over the button, which may be invalid. More...
wxBitmap | GetBitmapDisabled () const
| Returns the bitmap for the disabled state, which may be invalid. More...
wxBitmap | GetBitmapFocus () const
| Returns the bitmap for the focused state, which may be invalid. More...
wxBitmap | GetBitmapLabel () const
| Returns the bitmap for the normal state. More...
wxBitmap | GetBitmapPressed () const
| Returns the bitmap for the pressed state, which may be invalid. More...
void | SetBitmap (const wxBitmap &bitmap, wxDirection dir=wxLEFT)
| Sets the bitmap to display in the button. More...
void | SetBitmapCurrent (const wxBitmap &bitmap)
| Sets the bitmap to be shown when the mouse is over the button. More...
void | SetBitmapDisabled (const wxBitmap &bitmap)
| Sets the bitmap for the disabled button appearance. More...
void | SetBitmapFocus (const wxBitmap &bitmap)
| Sets the bitmap for the button appearance when it has the keyboard focus. More...
void | SetBitmapLabel (const wxBitmap &bitmap)
| Sets the bitmap label for the button. More...
void | SetBitmapPressed (const wxBitmap &bitmap)
| Sets the bitmap for the selected (depressed) button appearance. More...
wxSize | GetBitmapMargins ()
| Get the margins between the bitmap and the text of the button. More...
void | SetBitmapPosition (wxDirection dir)
| Set the position at which the bitmap is displayed. More...
void | SetBitmapMargins (wxCoord x, wxCoord y)
| Set the margins between the bitmap and the text of the button. More...
void | SetBitmapMargins (const wxSize &sz)
| Set the margins between the bitmap and the text of the button. More...
Public Member Functions inherited from wxControl
| wxControl (wxWindow *parent, wxWindowID id, const wxPoint &pos=wxDefaultPosition, const wxSize &size=wxDefaultSize, long style=0, const wxValidator &validator=wxDefaultValidator, const wxString &name=wxControlNameStr)
| Constructs a control. More...
| wxControl ()
| Default constructor to allow 2-phase creation. More...
bool | Create (wxWindow *parent, wxWindowID id, const wxPoint &pos=wxDefaultPosition, const wxSize &size=wxDefaultSize, long style=0, const wxValidator &validator=wxDefaultValidator, const wxString &name=wxControlNameStr)
virtual void | Command (wxCommandEvent &event)
| Simulates the effect of the user issuing a command to the item. More...
wxString | GetLabel () const
| Returns the control's label, as it was passed to SetLabel(). More...
wxString | GetLabelText () const
| Returns the control's label without mnemonics. More...
wxSize | GetSizeFromTextSize (int xlen, int ylen=-1) const
| Determine the size needed by the control to leave the given area for its text. More...
wxSize | GetSizeFromTextSize (const wxSize &tsize) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
void | SetLabel (const wxString &label)
| Sets the control's label. More...
void | SetLabelText (const wxString &text)
| Sets the control's label to exactly the given string. More...
bool | SetLabelMarkup (const wxString &markup)
| Sets the controls label to a string using markup. More...
Public Member Functions inherited from wxWindow
| wxWindow ()
| Default constructor. More...
| wxWindow (wxWindow *parent, wxWindowID id, const wxPoint &pos=wxDefaultPosition, const wxSize &size=wxDefaultSize, long style=0, const wxString &name=wxPanelNameStr)
| Constructs a window, which can be a child of a frame, dialog or any other non-control window. More...
virtual | ~wxWindow ()
| Destructor. More...
bool | Create (wxWindow *parent, wxWindowID id, const wxPoint &pos=wxDefaultPosition, const wxSize &size=wxDefaultSize, long style=0, const wxString &name=wxPanelNameStr)
virtual bool | AcceptsFocus () const
| This method may be overridden in the derived classes to return false to indicate that this control doesn't accept input at all (i.e. behaves like e.g. wxStaticText) and so doesn't need focus. More...
virtual bool | AcceptsFocusFromKeyboard () const
| This method may be overridden in the derived classes to return false to indicate that while this control can, in principle, have focus if the user clicks it with the mouse, it shouldn't be included in the TAB traversal chain when using the keyboard. More...
virtual bool | AcceptsFocusRecursively () const
| Overridden to indicate whether this window or one of its children accepts focus. More...
bool | IsFocusable () const
| Can this window itself have focus? More...
bool | CanAcceptFocus () const
| Can this window have focus right now? More...
bool | CanAcceptFocusFromKeyboard () const
| Can this window be assigned focus from keyboard right now? More...
virtual bool | HasFocus () const
| Returns true if the window (or in case of composite controls, its main child window) has focus. More...
virtual void | SetCanFocus (bool canFocus)
| This method is only implemented by ports which have support for native TAB traversal (such as GTK+ 2.0). More...
virtual void | SetFocus ()
| This sets the window to receive keyboard input. More...
virtual void | SetFocusFromKbd ()
| This function is called by wxWidgets keyboard navigation code when the user gives the focus to this window from keyboard (e.g. More...
virtual void | AddChild (wxWindow *child)
| Adds a child window. More...
bool | DestroyChildren ()
| Destroys all children of a window. More...
wxWindow * | FindWindow (long id) const
| Find a child of this window, by id. More...
wxWindow * | FindWindow (const wxString &name) const
| Find a child of this window, by name. More...
wxWindowList & | GetChildren ()
| Returns a reference to the list of the window's children. More...
const wxWindowList & | GetChildren () const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
virtual void | RemoveChild (wxWindow *child)
| Removes a child window. More...
wxWindow * | GetGrandParent () const
| Returns the grandparent of a window, or NULL if there isn't one. More...
wxWindow * | GetNextSibling () const
| Returns the next window after this one among the parent's children or NULL if this window is the last child. More...
wxWindow * | GetParent () const
| Returns the parent of the window, or NULL if there is no parent. More...
wxWindow * | GetPrevSibling () const
| Returns the previous window before this one among the parent's children or `` NULL if this window is the first child. More...
bool | IsDescendant (wxWindowBase *win) const
| Check if the specified window is a descendant of this one. More...
virtual bool | Reparent (wxWindow *newParent)
| Reparents the window, i.e. the window will be removed from its current parent window (e.g. More...
virtual void | AlwaysShowScrollbars (bool hflag=true, bool vflag=true)
| Call this function to force one or both scrollbars to be always shown, even if the window is big enough to show its entire contents without scrolling. More...
virtual int | GetScrollPos (int orientation) const
| Returns the built-in scrollbar position. More...
virtual int | GetScrollRange (int orientation) const
| Returns the built-in scrollbar range. More...
virtual int | GetScrollThumb (int orientation) const
| Returns the built-in scrollbar thumb size. More...
bool | CanScroll (int orient) const
| Returns true if this window can have a scroll bar in this orientation. More...
bool | HasScrollbar (int orient) const
| Returns true if this window currently has a scroll bar for this orientation. More...
virtual bool | IsScrollbarAlwaysShown (int orient) const
| Return whether a scrollbar is always shown. More...
virtual bool | ScrollLines (int lines)
| Scrolls the window by the given number of lines down (if lines is positive) or up. More...
virtual bool | ScrollPages (int pages)
| Scrolls the window by the given number of pages down (if pages is positive) or up. More...
virtual void | ScrollWindow (int dx, int dy, const wxRect *rect=NULL)
| Physically scrolls the pixels in the window and move child windows accordingly. More...
bool | LineUp ()
| Same as ScrollLines (-1). More...
bool | LineDown ()
| Same as ScrollLines (1). More...
bool | PageUp ()
| Same as ScrollPages (-1). More...
bool | PageDown ()
| Same as ScrollPages (1). More...
virtual void | SetScrollPos (int orientation, int pos, bool refresh=true)
| Sets the position of one of the built-in scrollbars. More...
virtual void | SetScrollbar (int orientation, int position, int thumbSize, int range, bool refresh=true)
| Sets the scrollbar properties of a built-in scrollbar. More...
bool | BeginRepositioningChildren ()
| Prepare for changing positions of multiple child windows. More...
void | EndRepositioningChildren ()
| Fix child window positions after setting all of them at once. More...
void | CacheBestSize (const wxSize &size) const
| Sets the cached best size value. More...
virtual wxSize | ClientToWindowSize (const wxSize &size) const
| Converts client area size size to corresponding window size. More...
virtual wxSize | WindowToClientSize (const wxSize &size) const
| Converts window size size to corresponding client area size In other words, the returned value is what would GetClientSize() return if this window had given window size. More...
virtual void | Fit ()
| Sizes the window so that it fits around its subwindows. More...
virtual void | FitInside ()
| Similar to Fit(), but sizes the interior (virtual) size of a window. More...
wxSize | GetBestSize () const
| This functions returns the best acceptable minimal size for the window. More...
int | GetBestHeight (int width) const
| Returns the best height needed by this window if it had the given width. More...
int | GetBestWidth (int height) const
| Returns the best width needed by this window if it had the given height. More...
void | GetClientSize (int *width, int *height) const
| Returns the size of the window 'client area' in pixels. More...
wxSize | GetClientSize () const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
virtual wxSize | GetEffectiveMinSize () const
| Merges the window's best size into the min size and returns the result. More...
virtual wxSize | GetMaxClientSize () const
| Returns the maximum size of window's client area. More...
virtual wxSize | GetMaxSize () const
| Returns the maximum size of the window. More...
virtual wxSize | GetMinClientSize () const
| Returns the minimum size of window's client area, an indication to the sizer layout mechanism that this is the minimum required size of its client area. More...
virtual wxSize | GetMinSize () const
| Returns the minimum size of the window, an indication to the sizer layout mechanism that this is the minimum required size. More...
int | GetMinWidth () const
| Returns the horizontal component of window minimal size. More...
int | GetMinHeight () const
| Returns the vertical component of window minimal size. More...
int | GetMaxWidth () const
| Returns the horizontal component of window maximal size. More...
int | GetMaxHeight () const
| Returns the vertical component of window maximal size. More...
void | GetSize (int *width, int *height) const
| Returns the size of the entire window in pixels, including title bar, border, scrollbars, etc. More...
wxSize | GetSize () const
| See the GetSize(int*,int*) overload for more info. More...
wxSize | GetVirtualSize () const
| This gets the virtual size of the window in pixels. More...
void | GetVirtualSize (int *width, int *height) const
| Like the other GetVirtualSize() overload but uses pointers instead. More...
virtual wxSize | GetBestVirtualSize () const
| Return the largest of ClientSize and BestSize (as determined by a sizer, interior children, or other means) More...
virtual double | GetContentScaleFactor () const
| Returns the magnification of the backing store of this window, eg 2.0 for a window on a retina screen. More...
virtual wxSize | GetWindowBorderSize () const
| Returns the size of the left/right and top/bottom borders of this window in x and y components of the result respectively. More...
virtual bool | InformFirstDirection (int direction, int size, int availableOtherDir)
| wxSizer and friends use this to give a chance to a component to recalc its min size once one of the final size components is known. More...
void | InvalidateBestSize ()
| Resets the cached best size value so it will be recalculated the next time it is needed. More...
void | PostSizeEvent ()
| Posts a size event to the window. More...
void | PostSizeEventToParent ()
| Posts a size event to the parent of this window. More...
virtual void | SendSizeEvent (int flags=0)
| This function sends a dummy size event to the window allowing it to re-layout its children positions. More...
void | SendSizeEventToParent (int flags=0)
| Safe wrapper for GetParent()->SendSizeEvent(). More...
void | SetClientSize (int width, int height)
| This sets the size of the window client area in pixels. More...
void | SetClientSize (const wxSize &size)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
void | SetClientSize (const wxRect &rect)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
void | SetContainingSizer (wxSizer *sizer)
| This normally does not need to be called by user code. More...
void | SetInitialSize (const wxSize &size=wxDefaultSize)
| A smart SetSize that will fill in default size components with the window's best size values. More...
virtual void | SetMaxClientSize (const wxSize &size)
| Sets the maximum client size of the window, to indicate to the sizer layout mechanism that this is the maximum possible size of its client area. More...
virtual void | SetMaxSize (const wxSize &size)
| Sets the maximum size of the window, to indicate to the sizer layout mechanism that this is the maximum possible size. More...
virtual void | SetMinClientSize (const wxSize &size)
| Sets the minimum client size of the window, to indicate to the sizer layout mechanism that this is the minimum required size of window's client area. More...
virtual void | SetMinSize (const wxSize &size)
| Sets the minimum size of the window, to indicate to the sizer layout mechanism that this is the minimum required size. More...
void | SetSize (int x, int y, int width, int height, int sizeFlags=wxSIZE_AUTO)
| Sets the size of the window in pixels. More...
void | SetSize (const wxRect &rect)
| Sets the size of the window in pixels. More...
void | SetSize (const wxSize &size)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
void | SetSize (int width, int height)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
virtual void | SetSizeHints (const wxSize &minSize, const wxSize &maxSize=wxDefaultSize, const wxSize &incSize=wxDefaultSize)
| Use of this function for windows which are not toplevel windows (such as wxDialog or wxFrame) is discouraged. More...
virtual void | SetSizeHints (int minW, int minH, int maxW=-1, int maxH=-1, int incW=-1, int incH=-1)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
void | SetVirtualSize (int width, int height)
| Sets the virtual size of the window in pixels. More...
void | SetVirtualSize (const wxSize &size)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
void | Center (int dir=wxBOTH)
| A synonym for Centre(). More...
void | CenterOnParent (int dir=wxBOTH)
| A synonym for CentreOnParent(). More...
void | Centre (int direction=wxBOTH)
| Centres the window. More...
void | CentreOnParent (int direction=wxBOTH)
| Centres the window on its parent. More...
void | GetPosition (int *x, int *y) const
| This gets the position of the window in pixels, relative to the parent window for the child windows or relative to the display origin for the top level windows. More...
wxPoint | GetPosition () const
| This gets the position of the window in pixels, relative to the parent window for the child windows or relative to the display origin for the top level windows. More...
wxRect | GetRect () const
| Returns the position and size of the window as a wxRect object. More...
void | GetScreenPosition (int *x, int *y) const
| Returns the window position in screen coordinates, whether the window is a child window or a top level one. More...
wxPoint | GetScreenPosition () const
| Returns the window position in screen coordinates, whether the window is a child window or a top level one. More...
wxRect | GetScreenRect () const
| Returns the position and size of the window on the screen as a wxRect object. More...
virtual wxPoint | GetClientAreaOrigin () const
| Get the origin of the client area of the window relative to the window top left corner (the client area may be shifted because of the borders, scrollbars, other decorations...) More...
wxRect | GetClientRect () const
| Get the client rectangle in window (i.e. client) coordinates. More...
void | Move (int x, int y, int flags=wxSIZE_USE_EXISTING)
| Moves the window to the given position. More...
void | Move (const wxPoint &pt, int flags=wxSIZE_USE_EXISTING)
| Moves the window to the given position. More...
void | SetPosition (const wxPoint &pt)
| Moves the window to the specified position. More...
void | ClientToScreen (int *x, int *y) const
| Converts to screen coordinates from coordinates relative to this window. More...
wxPoint | ClientToScreen (const wxPoint &pt) const
| Converts to screen coordinates from coordinates relative to this window. More...
wxPoint | ConvertDialogToPixels (const wxPoint &pt) const
| Converts a point or size from dialog units to pixels. More...
wxSize | ConvertDialogToPixels (const wxSize &sz) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
wxPoint | ConvertPixelsToDialog (const wxPoint &pt) const
| Converts a point or size from pixels to dialog units. More...
wxSize | ConvertPixelsToDialog (const wxSize &sz) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
void | ScreenToClient (int *x, int *y) const
| Converts from screen to client window coordinates. More...
wxPoint | ScreenToClient (const wxPoint &pt) const
| Converts from screen to client window coordinates. More...
virtual void | ClearBackground ()
| Clears the window by filling it with the current background colour. More...
void | Freeze ()
| Freezes the window or, in other words, prevents any updates from taking place on screen, the window is not redrawn at all. More...
void | Thaw ()
| Re-enables window updating after a previous call to Freeze(). More...
bool | IsFrozen () const
| Returns true if the window is currently frozen by a call to Freeze(). More...
wxColour | GetBackgroundColour () const
| Returns the background colour of the window. More...
virtual wxBackgroundStyle | GetBackgroundStyle () const
| Returns the background style of the window. More...
virtual int | GetCharHeight () const
| Returns the character height for this window. More...
virtual int | GetCharWidth () const
| Returns the average character width for this window. More...
virtual wxVisualAttributes | GetDefaultAttributes () const
| Currently this is the same as calling wxWindow::GetClassDefaultAttributes(wxWindow::GetWindowVariant()). More...
wxFont | GetFont () const
| Returns the font for this window. More...
wxColour | GetForegroundColour () const
| Returns the foreground colour of the window. More...
void | GetTextExtent (const wxString &string, int *w, int *h, int *descent=NULL, int *externalLeading=NULL, const wxFont *font=NULL) const
| Gets the dimensions of the string as it would be drawn on the window with the currently selected font. More...
wxSize | GetTextExtent (const wxString &string) const
| Gets the dimensions of the string as it would be drawn on the window with the currently selected font. More...
const wxRegion & | GetUpdateRegion () const
| Returns the region specifying which parts of the window have been damaged. More...
wxRect | GetUpdateClientRect () const
| Get the update rectangle bounding box in client coords. More...
virtual bool | HasTransparentBackground ()
| Returns true if this window background is transparent (as, for example, for wxStaticText) and should show the parent window background. More...
virtual void | Refresh (bool eraseBackground=true, const wxRect *rect=NULL)
| Causes this window, and all of its children recursively (except under wxGTK1 where this is not implemented), to be repainted. More...
void | RefreshRect (const wxRect &rect, bool eraseBackground=true)
| Redraws the contents of the given rectangle: only the area inside it will be repainted. More...
virtual void | Update ()
| Calling this method immediately repaints the invalidated area of the window and all of its children recursively (this normally only happens when the flow of control returns to the event loop). More...
virtual bool | SetBackgroundColour (const wxColour &colour)
| Sets the background colour of the window. More...
virtual bool | SetBackgroundStyle (wxBackgroundStyle style)
| Sets the background style of the window. More...
virtual bool | IsTransparentBackgroundSupported (wxString *reason=NULL) const
| Checks whether using transparent background might work. More...
virtual bool | SetFont (const wxFont &font)
| Sets the font for this window. More...
virtual bool | SetForegroundColour (const wxColour &colour)
| Sets the foreground colour of the window. More...
void | SetOwnBackgroundColour (const wxColour &colour)
| Sets the background colour of the window but prevents it from being inherited by the children of this window. More...
bool | InheritsBackgroundColour () const
| Return true if this window inherits the background colour from its parent. More...
bool | UseBgCol () const
| Return true if a background colour has been set for this window. More...
void | SetOwnFont (const wxFont &font)
| Sets the font of the window but prevents it from being inherited by the children of this window. More...
void | SetOwnForegroundColour (const wxColour &colour)
| Sets the foreground colour of the window but prevents it from being inherited by the children of this window. More...
void | SetPalette (const wxPalette &pal)
virtual bool | ShouldInheritColours () const
| Return true from here to allow the colours of this window to be changed by InheritAttributes(). More...
virtual void | SetThemeEnabled (bool enable)
| This function tells a window if it should use the system's "theme" code to draw the windows' background instead of its own background drawing code. More...
virtual bool | GetThemeEnabled () const
| Clears the window by filling it with the current background colour. More...
virtual bool | CanSetTransparent ()
| Returns true if the system supports transparent windows and calling SetTransparent() may succeed. More...
virtual bool | SetTransparent (wxByte alpha)
| Set the transparency of the window. More...
wxEvtHandler * | GetEventHandler () const
| Returns the event handler for this window. More...
bool | HandleAsNavigationKey (const wxKeyEvent &event)
| This function will generate the appropriate call to Navigate() if the key event is one normally used for keyboard navigation and return true in this case. More...
bool | HandleWindowEvent (wxEvent &event) const
| Shorthand for: More...
bool | ProcessWindowEvent (wxEvent &event)
| Convenient wrapper for ProcessEvent(). More...
bool | ProcessWindowEventLocally (wxEvent &event)
| Wrapper for wxEvtHandler::ProcessEventLocally(). More...
wxEvtHandler * | PopEventHandler (bool deleteHandler=false)
| Removes and returns the top-most event handler on the event handler stack. More...
void | PushEventHandler (wxEvtHandler *handler)
| Pushes this event handler onto the event stack for the window. More...
bool | RemoveEventHandler (wxEvtHandler *handler)
| Find the given handler in the windows event handler stack and removes (but does not delete) it from the stack. More...
void | SetEventHandler (wxEvtHandler *handler)
| Sets the event handler for this window. More...
virtual void | SetNextHandler (wxEvtHandler *handler)
| wxWindows cannot be used to form event handler chains; this function thus will assert when called. More...
virtual void | SetPreviousHandler (wxEvtHandler *handler)
| wxWindows cannot be used to form event handler chains; this function thus will assert when called. More...
long | GetExtraStyle () const
| Returns the extra style bits for the window. More...
virtual long | GetWindowStyleFlag () const
| Gets the window style that was passed to the constructor or Create() method. More...
long | GetWindowStyle () const
| See GetWindowStyleFlag() for more info. More...
bool | HasExtraStyle (int exFlag) const
| Returns true if the window has the given exFlag bit set in its extra styles. More...
bool | HasFlag (int flag) const
| Returns true if the window has the given flag bit set. More...
virtual void | SetExtraStyle (long exStyle)
| Sets the extra style bits for the window. More...
virtual void | SetWindowStyleFlag (long style)
| Sets the style of the window. More...
void | SetWindowStyle (long style)
| See SetWindowStyleFlag() for more info. More...
bool | ToggleWindowStyle (int flag)
| Turns the given flag on if it's currently turned off and vice versa. More...
void | MoveAfterInTabOrder (wxWindow *win)
| Moves this window in the tab navigation order after the specified win. More...
void | MoveBeforeInTabOrder (wxWindow *win)
| Same as MoveAfterInTabOrder() except that it inserts this window just before win instead of putting it right after it. More...
bool | Navigate (int flags=wxNavigationKeyEvent::IsForward)
| Performs a keyboard navigation action starting from this window. More...
bool | NavigateIn (int flags=wxNavigationKeyEvent::IsForward)
| Performs a keyboard navigation action inside this window. More...
virtual void | Lower ()
| Lowers the window to the bottom of the window hierarchy (Z-order). More...
virtual void | Raise ()
| Raises the window to the top of the window hierarchy (Z-order). More...
bool | Hide ()
| Equivalent to calling wxWindow::Show(false). More...
virtual bool | HideWithEffect (wxShowEffect effect, unsigned int timeout=0)
| This function hides a window, like Hide(), but using a special visual effect if possible. More...
bool | IsEnabled () const
| Returns true if the window is enabled, i.e. if it accepts user input, false otherwise. More...
bool | IsExposed (int x, int y) const
| Returns true if the given point or rectangle area has been exposed since the last repaint. More...
bool | IsExposed (wxPoint &pt) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
bool | IsExposed (int x, int y, int w, int h) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
bool | IsExposed (wxRect &rect) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
virtual bool | IsShown () const
| Returns true if the window is shown, false if it has been hidden. More...
virtual bool | IsShownOnScreen () const
| Returns true if the window is physically visible on the screen, i.e. it is shown and all its parents up to the toplevel window are shown as well. More...
bool | Disable ()
| Disables the window. More...
virtual bool | Enable (bool enable=true)
| Enable or disable the window for user input. More...
virtual bool | Show (bool show=true)
| Shows or hides the window. More...
virtual bool | ShowWithEffect (wxShowEffect effect, unsigned int timeout=0)
| This function shows a window, like Show(), but using a special visual effect if possible. More...
wxString | GetHelpText () const
| Gets the help text to be used as context-sensitive help for this window. More...
void | SetHelpText (const wxString &helpText)
| Sets the help text to be used as context-sensitive help for this window. More...
virtual wxString | GetHelpTextAtPoint (const wxPoint &point, wxHelpEvent::Origin origin) const
| Gets the help text to be used as context-sensitive help for this window. More...
wxToolTip * | GetToolTip () const
| Get the associated tooltip or NULL if none. More...
wxString | GetToolTipText () const
| Get the text of the associated tooltip or empty string if none. More...
void | SetToolTip (const wxString &tipString)
| Attach a tooltip to the window. More...
void | SetToolTip (wxToolTip *tip)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
void | UnsetToolTip ()
| Unset any existing tooltip. More...
int | GetPopupMenuSelectionFromUser (wxMenu &menu, const wxPoint &pos=wxDefaultPosition)
| This function shows a popup menu at the given position in this window and returns the selected id. More...
int | GetPopupMenuSelectionFromUser (wxMenu &menu, int x, int y)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
bool | PopupMenu (wxMenu *menu, const wxPoint &pos=wxDefaultPosition)
| Pops up the given menu at the specified coordinates, relative to this window, and returns control when the user has dismissed the menu. More...
bool | PopupMenu (wxMenu *menu, int x, int y)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
virtual wxValidator * | GetValidator ()
| Validator functions. More...
virtual void | SetValidator (const wxValidator &validator)
| Deletes the current validator (if any) and sets the window validator, having called wxValidator::Clone to create a new validator of this type. More...
virtual bool | TransferDataFromWindow ()
| Transfers values from child controls to data areas specified by their validators. More...
virtual bool | TransferDataToWindow ()
| Transfers values to child controls from data areas specified by their validators. More...
virtual bool | Validate ()
| Validates the current values of the child controls using their validators. More...
wxWindowID | GetId () const
| Returns the identifier of the window. More...
virtual wxLayoutDirection | GetLayoutDirection () const
| Returns the layout direction for this window, Note that `wxLayout_Default` is returned if layout direction is not supported. More...
virtual wxCoord | AdjustForLayoutDirection (wxCoord x, wxCoord width, wxCoord widthTotal) const
| Mirror coordinates for RTL layout if this window uses it and if the mirroring is not done automatically like Win32. More...
virtual wxString | GetName () const
| Returns the window's name. More...
wxWindowVariant | GetWindowVariant () const
| Returns the value previously passed to SetWindowVariant(). More...
void | SetId (wxWindowID winid)
| Sets the identifier of the window. More...
virtual void | SetLayoutDirection (wxLayoutDirection dir)
| Sets the layout direction for this window. More...
virtual void | SetName (const wxString &name)
| Sets the window's name. More...
void | SetWindowVariant (wxWindowVariant variant)
| Chooses a different variant of the window display to use. More...
wxAcceleratorTable * | GetAcceleratorTable ()
| Gets the accelerator table for this window. More...
wxAccessible * | GetAccessible ()
| Returns the accessible object for this window, if any. More...
virtual void | SetAcceleratorTable (const wxAcceleratorTable &accel)
| Sets the accelerator table for this window. More...
void | SetAccessible (wxAccessible *accessible)
| Sets the accessible for this window. More...
bool | Close (bool force=false)
| This function simply generates a wxCloseEvent whose handler usually tries to close the window. More...
virtual bool | Destroy ()
| Destroys the window safely. More...
bool | IsBeingDeleted () const
| Returns true if this window is in process of being destroyed. More...
virtual wxDropTarget * | GetDropTarget () const
| Returns the associated drop target, which may be NULL. More...
virtual void | SetDropTarget (wxDropTarget *target)
| Associates a drop target with this window. More...
virtual void | DragAcceptFiles (bool accept)
| Enables or disables eligibility for drop file events (OnDropFiles). More...
wxSizer * | GetContainingSizer () const
| Returns the sizer of which this window is a member, if any, otherwise NULL. More...
wxSizer * | GetSizer () const
| Returns the sizer associated with the window by a previous call to SetSizer(), or NULL. More...
void | SetSizer (wxSizer *sizer, bool deleteOld=true)
| Sets the window to have the given layout sizer. More...
void | SetSizerAndFit (wxSizer *sizer, bool deleteOld=true)
| This method calls SetSizer() and then wxSizer::SetSizeHints which sets the initial window size to the size needed to accommodate all sizer elements and sets the size hints which, if this window is a top level one, prevent the user from resizing it to be less than this minimal size. More...
wxLayoutConstraints * | GetConstraints () const
| Returns a pointer to the window's layout constraints, or NULL if there are none. More...
void | SetConstraints (wxLayoutConstraints *constraints)
| Sets the window to have the given layout constraints. More...
virtual bool | Layout ()
| Invokes the constraint-based layout algorithm or the sizer-based algorithm for this window. More...
void | SetAutoLayout (bool autoLayout)
| Determines whether the Layout() function will be called automatically when the window is resized. More...
bool | GetAutoLayout () const
| Returns the sizer of which this window is a member, if any, otherwise NULL. More...
void | CaptureMouse ()
| Directs all mouse input to this window. More...
wxCaret * | GetCaret () const
| Returns the caret() associated with the window. More...
const wxCursor & | GetCursor () const
| Return the cursor associated with this window. More...
virtual bool | HasCapture () const
| Returns true if this window has the current mouse capture. More...
void | ReleaseMouse ()
| Releases mouse input captured with CaptureMouse(). More...
void | SetCaret (wxCaret *caret)
| Sets the caret() associated with the window. More...
virtual bool | SetCursor (const wxCursor &cursor)
| Sets the window's cursor. More...
virtual void | WarpPointer (int x, int y)
| Moves the pointer to the given position on the window. More...
wxHitTest | HitTest (wxCoord x, wxCoord y) const
| Get the window border style from the given flags: this is different from simply doing flags & wxBORDER_MASK because it uses GetDefaultBorder() to translate wxBORDER_DEFAULT to something reasonable. More...
wxHitTest | HitTest (const wxPoint &pt) const
| Get the window border style from the given flags: this is different from simply doing flags & wxBORDER_MASK because it uses GetDefaultBorder() to translate wxBORDER_DEFAULT to something reasonable. More...
wxBorder | GetBorder (long flags) const
| Get the window border style from the given flags: this is different from simply doing flags & wxBORDER_MASK because it uses GetDefaultBorder() to translate wxBORDER_DEFAULT to something reasonable. More...
wxBorder | GetBorder () const
| Get border for the flags of this window. More...
virtual void | DoUpdateWindowUI (wxUpdateUIEvent &event)
| Does the window-specific updating after processing the update event. More...
virtual WXWidget | GetHandle () const
| Returns the platform-specific handle of the physical window. More...
virtual bool | HasMultiplePages () const
| This method should be overridden to return true if this window has multiple pages. More...
virtual void | InheritAttributes ()
| This function is (or should be, in case of custom controls) called during window creation to intelligently set up the window visual attributes, that is the font and the foreground and background colours. More...
virtual void | InitDialog ()
| Sends an `wxEVT_INIT_DIALOG` event, whose handler usually transfers data to the dialog via validators. More...
virtual bool | IsDoubleBuffered () const
| Returns true if the window contents is double-buffered by the system, i.e. if any drawing done on the window is really done on a temporary backing surface and transferred to the screen all at once later. More...
void | SetDoubleBuffered (bool on)
| Turn on or off double buffering of the window if the system supports it. More...
virtual bool | IsRetained () const
| Returns true if the window is retained, false otherwise. More...
bool | IsThisEnabled () const
| Returns true if this window is intrinsically enabled, false otherwise, i.e. if Enable() Enable(false) had been called. More...
virtual bool | IsTopLevel () const
| Returns true if the given window is a top-level one. More...
virtual void | OnInternalIdle ()
| This virtual function is normally only used internally, but sometimes an application may need it to implement functionality that should not be disabled by an application defining an OnIdle handler in a derived class. More...
virtual bool | SendIdleEvents (wxIdleEvent &event)
| Send idle event to window and all subwindows. More...
virtual bool | RegisterHotKey (int hotkeyId, int modifiers, int virtualKeyCode)
| Registers a system wide hotkey. More...
virtual bool | UnregisterHotKey (int hotkeyId)
| Unregisters a system wide hotkey. More...
virtual void | UpdateWindowUI (long flags=wxUPDATE_UI_NONE)
| This function sends one or more wxUpdateUIEvent to the window. More...
Public Member Functions inherited from wxEvtHandler
| wxEvtHandler ()
| Constructor. More...
virtual | ~wxEvtHandler ()
| Destructor. More...
template<typename T , typename T1 , ... >
void | CallAfter (void(T::*method)(T1,...), T1 x1,...)
| Asynchronously call the given method. More...
template<typename T >
void | CallAfter (const T &functor)
| Asynchronously call the given functor. More...
bool | ProcessEventLocally (wxEvent &event)
| Try to process the event in this handler and all those chained to it. More...
bool | SafelyProcessEvent (wxEvent &event)
| Processes an event by calling ProcessEvent() and handles any exceptions that occur in the process. More...
void | ProcessPendingEvents ()
| Processes the pending events previously queued using QueueEvent() or AddPendingEvent(); you must call this function only if you are sure there are pending events for this handler, otherwise a `wxCHECK` will fail. More...
void | DeletePendingEvents ()
| Deletes all events queued on this event handler using QueueEvent() or AddPendingEvent(). More...
virtual bool | SearchEventTable (wxEventTable &table, wxEvent &event)
| Searches the event table, executing an event handler function if an appropriate one is found. More...
void | Connect (int id, int lastId, wxEventType eventType, wxObjectEventFunction function, wxObject *userData=NULL, wxEvtHandler *eventSink=NULL)
| Connects the given function dynamically with the event handler, id and event type. More...
void | Connect (int id, wxEventType eventType, wxObjectEventFunction function, wxObject *userData=NULL, wxEvtHandler *eventSink=NULL)
| See the Connect(int, int, wxEventType, wxObjectEventFunction, wxObject*, wxEvtHandler*) overload for more info. More...
void | Connect (wxEventType eventType, wxObjectEventFunction function, wxObject *userData=NULL, wxEvtHandler *eventSink=NULL)
| See the Connect(int, int, wxEventType, wxObjectEventFunction, wxObject*, wxEvtHandler*) overload for more info. More...
bool | Disconnect (wxEventType eventType, wxObjectEventFunction function, wxObject *userData=NULL, wxEvtHandler *eventSink=NULL)
| Disconnects the given function dynamically from the event handler, using the specified parameters as search criteria and returning true if a matching function has been found and removed. More...
bool | Disconnect (int id=wxID_ANY, wxEventType eventType=wxEVT_NULL, wxObjectEventFunction function=NULL, wxObject *userData=NULL, wxEvtHandler *eventSink=NULL)
| See the Disconnect(wxEventType, wxObjectEventFunction, wxObject*, wxEvtHandler*) overload for more info. More...
bool | Disconnect (int id, int lastId, wxEventType eventType, wxObjectEventFunction function=NULL, wxObject *userData=NULL, wxEvtHandler *eventSink=NULL)
| See the Disconnect(wxEventType, wxObjectEventFunction, wxObject*, wxEvtHandler*) overload for more info. More...
template<typename EventTag , typename Functor >
void | Bind (const EventTag &eventType, Functor functor, int id=wxID_ANY, int lastId=wxID_ANY, wxObject *userData=NULL)
| Binds the given function, functor or method dynamically with the event. More...
template<typename EventTag , typename Class , typename EventArg , typename EventHandler >
void | Bind (const EventTag &eventType, void(Class::*method)(EventArg &), EventHandler *handler, int id=wxID_ANY, int lastId=wxID_ANY, wxObject *userData=NULL)
| See the Bind<>(const EventTag&, Functor, int, int, wxObject*) overload for more info. More...
template<typename EventTag , typename Functor >
bool | Unbind (const EventTag &eventType, Functor functor, int id=wxID_ANY, int lastId=wxID_ANY, wxObject *userData=NULL)
| Unbinds the given function, functor or method dynamically from the event handler, using the specified parameters as search criteria and returning true if a matching function has been found and removed. More...
template<typename EventTag , typename Class , typename EventArg , typename EventHandler >
bool | Unbind (const EventTag &eventType, void(Class::*method)(EventArg &), EventHandler *handler, int id=wxID_ANY, int lastId=wxID_ANY, wxObject *userData=NULL)
| See the Unbind<>(const EventTag&, Functor, int, int, wxObject*) overload for more info. More...
void * | GetClientData () const
| Returns user-supplied client data. More...
wxClientData * | GetClientObject () const
| Returns a pointer to the user-supplied client data object. More...
void | SetClientData (void *data)
| Sets user-supplied client data. More...
void | SetClientObject (wxClientData *data)
| Set the client data object. More...
bool | GetEvtHandlerEnabled () const
| Returns true if the event handler is enabled, false otherwise. More...
wxEvtHandler * | GetNextHandler () const
| Returns the pointer to the next handler in the chain. More...
wxEvtHandler * | GetPreviousHandler () const
| Returns the pointer to the previous handler in the chain. More...
void | SetEvtHandlerEnabled (bool enabled)
| Enables or disables the event handler. More...
void | Unlink ()
| Unlinks this event handler from the chain it's part of (if any); then links the "previous" event handler to the "next" one (so that the chain won't be interrupted). More...
bool | IsUnlinked () const
| Returns true if the next and the previous handler pointers of this event handler instance are NULL. More...
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data. More...
| wxObject (const wxObject &other)
| Copy ctor. More...
virtual | ~wxObject ()
| Destructor. More...
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar). More...
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object. More...
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class. More...
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj. More...
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone. More...
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer. More...
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data. More...
void | UnShare ()
| This is the same of AllocExclusive() but this method is public. More...
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined. More...
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined. More...

## Additional Inherited Members
Static Public Member Functions inherited from wxControl
static wxString | GetLabelText (const wxString &label)
| Returns the given label string without mnemonics ("&" characters). More...
static wxString | RemoveMnemonics (const wxString &str)
| Returns the given str string without mnemonics ("&" characters). More...
static wxString | EscapeMnemonics (const wxString &text)
| Escapes the special mnemonics characters ("&") in the given string. More...
static wxString | Ellipsize (const wxString &label, const wxDC &dc, wxEllipsizeMode mode, int maxWidth, int flags=wxELLIPSIZE_FLAGS_DEFAULT)
| Replaces parts of the label string with ellipsis, if needed, so that it fits into maxWidth pixels if possible. More...
Static Public Member Functions inherited from wxWindow
static wxVisualAttributes | GetClassDefaultAttributes (wxWindowVariant variant=wxWINDOW_VARIANT_NORMAL)
| Returns the default font and colours which are used by the control. More...
static wxWindow * | FindFocus ()
| Finds the window or control which currently has the keyboard focus. More...
static wxWindow * | FindWindowById (long id, const wxWindow *parent=0)
| Find the first window with the given id. More...
static wxWindow * | FindWindowByLabel (const wxString &label, const wxWindow *parent=0)
| Find a window by its label. More...
static wxWindow * | FindWindowByName (const wxString &name, const wxWindow *parent=0)
| Find a window by its name (as given in a window constructor or Create() function call). More...
static wxWindow * | GetCapture ()
| Returns the currently captured window. More...
static wxWindowID | NewControlId (int count=1)
| Create a new ID or range of IDs that are not currently in use. More...
static void | UnreserveControlId (wxWindowID id, int count=1)
| Unreserve an ID or range of IDs that was reserved by NewControlId(). More...
Static Public Member Functions inherited from wxEvtHandler
static void | AddFilter (wxEventFilter *filter)
| Add an event filter whose FilterEvent() method will be called for each and every event processed by wxWidgets. More...
static void | RemoveFilter (wxEventFilter *filter)
| Remove a filter previously installed with AddFilter(). More...
Protected Member Functions inherited from wxWindow
virtual void | DoCentre (int direction)
| Centres the window. More...
virtual wxSize | DoGetBestSize () const
| Implementation of GetBestSize() that can be overridden. More...
virtual wxSize | DoGetBestClientSize () const
| Override this method to return the best size for a custom control. More...
virtual int | DoGetBestClientHeight (int width) const
| Override this method to implement height-for-width best size calculation. More...
virtual int | DoGetBestClientWidth (int height) const
| Override this method to implement width-for-height best size calculation. More...
virtual void | SetInitialBestSize (const wxSize &size)
| Sets the initial window size if none is given (i.e. at least one of the components of the size passed to ctor/Create() is wxDefaultCoord). More...
void | SendDestroyEvent ()
| Generate wxWindowDestroyEvent for this window. More...
virtual bool | ProcessEvent (wxEvent &event)
| This function is public in wxEvtHandler but protected in wxWindow because for wxWindows you should always call ProcessEvent() on the pointer returned by GetEventHandler() and not on the wxWindow object itself. More...
bool | SafelyProcessEvent (wxEvent &event)
| See ProcessEvent() for more info about why you shouldn't use this function and the reason for making this function protected in wxWindow. More...
virtual void | QueueEvent (wxEvent *event)
| See ProcessEvent() for more info about why you shouldn't use this function and the reason for making this function protected in wxWindow. More...
virtual void | AddPendingEvent (const wxEvent &event)
| See ProcessEvent() for more info about why you shouldn't use this function and the reason for making this function protected in wxWindow. More...
void | ProcessPendingEvents ()
| See ProcessEvent() for more info about why you shouldn't use this function and the reason for making this function protected in wxWindow. More...
bool | ProcessThreadEvent (const wxEvent &event)
| See ProcessEvent() for more info about why you shouldn't use this function and the reason for making this function protected in wxWindow. More...
Protected Member Functions inherited from wxEvtHandler
virtual bool | TryBefore (wxEvent &event)
| Method called by ProcessEvent() before examining this object event tables. More...
virtual bool | TryAfter (wxEvent &event)
| Method called by ProcessEvent() as last resort. More...
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object. More...
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it. More...
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data. More...
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data. More...

## Constructor & Destructor Documentation

wxToggleButton::wxToggleButton | ( |  | ) |

Default constructor.

wxToggleButton::wxToggleButton | ( | wxWindow * | parent,
|  | wxWindowID | id,
|  | const wxString & | label,
|  | const wxPoint & | pos = `wxDefaultPosition`,
|  | const wxSize & | size = `wxDefaultSize`,
|  | long | style = `0`,
|  | const wxValidator & | val = `wxDefaultValidator`,
|  | const wxString & | name = `wxCheckBoxNameStr`
| ) |  |

Constructor, creating and showing a toggle button.

Parameters

  parent | Parent window. Must not be NULL.
  id | Toggle button identifier. The value wxID_ANY indicates a default value.
  label | Text to be displayed next to the toggle button.
  pos | Toggle button position. If wxDefaultPosition is specified then a default position is chosen.
  size | Toggle button size. If wxDefaultSize is specified then a default size is chosen.
  style | Window style. See wxToggleButton.
  val | Window validator.
  name | Window name.

See also
  Create(), wxValidator

virtual wxToggleButton::~wxToggleButton | ( |  | ) |
| virtual

Destructor, destroying the toggle button.

## Member Function Documentation

bool wxToggleButton::Create | ( | wxWindow * | parent,
|  | wxWindowID | id,
|  | const wxString & | label,
|  | const wxPoint & | pos = `wxDefaultPosition`,
|  | const wxSize & | size = `wxDefaultSize`,
|  | long | style = `0`,
|  | const wxValidator & | val = `wxDefaultValidator`,
|  | const wxString & | name = `wxCheckBoxNameStr`
| ) |  |

Creates the toggle button for two-step construction.

See wxToggleButton() for details.

virtual bool wxToggleButton::GetValue | ( |  | ) | const
| virtual

Gets the state of the toggle button.

Returns
  Returns true if it is pressed, false otherwise.

Reimplemented in wxBitmapToggleButton.

virtual void wxToggleButton::SetValue | ( | bool | state | ) |
| virtual

Sets the toggle button to the given state.

This does not cause a `EVT_TOGGLEBUTTON` event to be emitted.

Parameters

  state | If true, the button is pressed.

Reimplemented in wxBitmapToggleButton.